net.sf.jasperreports.web.util

## Class JiveWebResourceHandler

- java.lang.Object
- - net.sf.jasperreports.web.util.AbstractWebResourceHandler
  - - net.sf.jasperreports.web.util.JiveWebResourceHandler

- All Implemented Interfaces:
    WebResourceHandler

      public class JiveWebResourceHandler
      extends AbstractWebResourceHandler

  Version:
    $Id$
  Author:
    Narcis Marcu (narcism@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.web.util.AbstractWebResourceHandler

      `PROPERTIES_WEB_RESOURCE_PATTERN_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JiveWebResourceHandler(java.lang.String bundleName)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addMapping(java.lang.String key, java.lang.String fileClasspath)`
    `WebResource` | `getResource(JasperReportsContext jasperReportsContext, javax.servlet.http.HttpServletRequest request, java.lang.String resourceKey)`

    - ### Methods inherited from class net.sf.jasperreports.web.util.AbstractWebResourceHandler

      `handleResource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JiveWebResourceHandler

          public JiveWebResourceHandler(java.lang.String bundleName)

  - ### Method Detail

    - #### getResource

          public WebResource getResource(JasperReportsContext jasperReportsContext,
                                javax.servlet.http.HttpServletRequest request,
                                java.lang.String resourceKey)

      Specified by:
        `getResource` in class `AbstractWebResourceHandler`

    - #### addMapping

          public void addMapping(java.lang.String key,
                        java.lang.String fileClasspath)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com